{
  "name": "grpc-django",
  "private": true,
  "version": "10.5.0",
  "workspaces": [
    "client",
    "server"
  ],
  "scripts": {
    "clean": "yarn run-p clean:node clean:dist clean:db",
    "prepare": "run-s generate migrate",
    "build": "run-s build:server build:client",
    "lint": "run-p lint:*",
    "lint-fix": "run-p lint:*:fix",
    "dev": "run-p dev:*",
    "preview": "run-p preview:*",
    "breaking": "buf breaking --against buf.build/ioka/grpc-django-mui",
    "migrate": "cd server && python manage.py migrate",
    "generate": "buf generate",
    "test-dev": "start-server-and-test dev 3000 test:e2e",
    "test-preview": "start-server-and-test preview 3000 test:e2e",
    "clean:node": "yarn run rimraf node_modules client/node_modules",
    "clean:dist": "yarn run rimraf client/dist",
    "clean:db": "yarn run rimraf server/django.db",
    "build:client": "yarn --cwd client run build",
    "build:server": "echo In Progress",
    "lint:client": "run-p lint:client:*",
    "lint:client:eslint": "yarn --cwd client eslint .",
    "lint:client:tsc": "yarn --cwd client tsc",
    "lint:buf": "buf lint",
    "lint:server": "cd server && mypy",
    "lint:client:fix": "yarn --cwd client eslint --fix .",
    "lint:server:fix": "echo In Progress",
    "dev:client": "yarn --cwd client run dev",
    "dev:server": "cd server && python manage.py runserver",
    "preview:client": "yarn --cwd client run preview",
    "preview:server": "cd server && python manage.py runserver",
    "test:e2e": "playwright test"
  },
  "devDependencies": {
    "@playwright/test": "^1.26.1",
    "@typescript-eslint/eslint-plugin": "^5.46.1",
    "@typescript-eslint/parser": "^5.46.1",
    "@vitejs/plugin-react": "^2.1.0",
    "eslint": "^8.29.0",
    "eslint-config-airbnb": "^19.0.4",
    "eslint-config-airbnb-typescript": "^17.0.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-eslint-comments": "^3.2.0",
    "eslint-plugin-jest": "^26.5.3",
    "eslint-plugin-prettier": "^3.0.0",
    "eslint-plugin-promise": "^6.0.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-unicorn": "^v36",
    "eslint-plugin-unused-imports": "^2.0.0",
    "npm-run-all": "^4.1.5",
    "prettier": "^2.8.1",
    "rimraf": "^3.0.2",
    "start-server-and-test": "^1.12.0",
    "wait-port": "^1.0.1"
  },
  "dependencies": {}
}